
aries_dir_path="/var/run/jennifer_aries"
etc_ld_dir_path="/etc/ld.so.conf.d"
aries_ld_conf_filename="jennifer_aries.conf"

script_directory=$(cd $(dirname "${BASH_SOURCE:-$0}") && pwd)

create_rel_dir() {
    target_dir="$script_directory/../$1"

    if [ ! -d $target_dir ]
    then
        mkdir "$target_dir"

        if [ $? -eq 0 ]        
        then
            echo "$1 created."
            chmod $2 "$target_dir"
        else
            echo "$1 not created."
        fi
    fi
}

create_agent_dir() {
    create_rel_dir "service_dump" 777
    create_rel_dir "logs" 777
}

do_install() {

    if [ -d $etc_ld_dir_path ]
    then
        full_file_path=$etc_ld_dir_path/$aries_ld_conf_filename

        touch $full_file_path
        if [ ! $? -eq 0 ]
        then
            echo "NO root rights"
            exit 1
        fi
        echo "$full_file_path created."

        echo "$script_directory" > $full_file_path
    else
        echo "Warning: May not work on this platform."
        exit 1
    fi

    var_run_dir_path="/var/run"

    if [ -d $var_run_dir_path ]
    then
        if [ -d $aries_dir_path ]
        then
            echo "$aries_dir_path exists."
        else
            mkdir $aries_dir_path
            chmod 777 $aries_dir_path
            echo "$aries_dir_path directory created."
        fi
    fi
}

remove_dir() {
    if [ -d $1 ]
    then
        rm -r "$1"

        if [ $? -eq 0 ]        
        then
            echo "$1 deleted."
        fi
    fi
}

do_uninstall() {
    rm "$etc_ld_dir_path/$aries_ld_conf_filename"
    rm "$script_directory/../JENNIFER_END_USER_LICENSE_AGREEMENT.pdf"
    remove_dir "$aries_dir_path"
    
    remove_dir "$script_directory/../extension"    
    remove_dir "$script_directory/../logs"
    remove_dir "$script_directory/../utility"            
    remove_dir "$script_directory/../service_dump"            
    remove_dir "$script_directory"
}

if [ "$1" = "-u" ] || [ "$1" = "/u" ]
then
    do_uninstall
else
    do_install
    create_agent_dir
fi

exit 0